﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_Flex_XAMLSorting
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new CustomerViewModel();
        }
    }

    public class CustomerViewModel
    {
        private ObservableCollection<Customer> _customerList;

        public CustomerViewModel()
        {
            _customerList = new ObservableCollection<Customer>();
            _customerList.Add(new Customer() { Name = "John", Age = 29, City = "NewYork" });
            _customerList.Add(new Customer() { Name = "Ram", Age = 25, City = "New Delhi" });
            _customerList.Add(new Customer() { Name = "Xiang", Age = 39, City = "Tokyo" });
            _customerList.Add(new Customer() { Name = "Dave", Age = 27, City = "Washington D.C." });
            _customerList.Add(new Customer() { Name = "Allen", Age = 32, City = "London" });
            _customerList.Add(new Customer() { Name = "Mark", Age = 30, City = "Canberra" });
            _customerList.Add(new Customer() { Name = "David", Age = 26, City = "Pittsburgh" });
            _customerList.Add(new Customer() { Name = "Sheila", Age = 25, City = "New Delhi" });
        }

        public ObservableCollection<Customer> CustomerList
        {
            get { return _customerList; }        
        }

        private string _sortField;
        public string SortField
        {
            get{ return _sortField;}
            set {_sortField=value;}        
        }
    }


    public class Customer
    {
        public string Name { get; set; }
        public int Age { get; set; }
        public string City { get; set; }
    }
}
